# ServiceProtocolInfo class

Service protocol is the protocol that a client like the Observatory could use to access the services provided by the Dart VM for debugging and inspecting Dart programs. This class encapsulates the version number and Uri for accessing this service.

## Constructors

ServiceProtocolInfo(Uri serverUri)

## Properties

majorVersion → int
  The major version of the protocol. If the running Dart environment does not support the service protocol, this is 0.
  final
minorVersion → int
  The minor version of the protocol. If the running Dart environment does not support the service protocol, this is 0.
  final
serverUri → Uri
  The Uri to access the service. If the web server is not running, this will be null.
  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

toString() → String
  Returns a string representation of this object.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited